INTERFACE
SUBROUTINE ELAIDDITLAD(KPROMA,KPROMB,KSTART,KPROF,KFLEV,&
 & KFLDN,KFLDX,KFLD,KSEP,KMAP,PSIGN,KDEP,&
 & PCLA,PDLO,PDLAT5,PCLA5,PDLO5,PFUN5,KL0,&
 & KINC,PZINC,KDIM,PXSL5,PXF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMB
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLD
INTEGER(KIND=JPIM),INTENT(IN) :: KSEP
INTEGER(KIND=JPIM),INTENT(IN) :: KMAP(KPROMB,12,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSIGN(KPROMB,12,KFLEV)
INTEGER(KIND=JPIM),INTENT(IN) :: KDEP(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA(KPROMB,KFLEV,2:4)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO(KPROMB,KFLEV,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA5(KPROMB,KFLEV,2:4)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO5(KPROMB,KFLEV,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PFUN5(KPROMB,KFLEV,12)
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(KPROMB,KFLEV,0:3)
INTEGER(KIND=JPIM),INTENT(OUT) :: KINC(KDIM*KFLEV+1,KPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZINC(KDIM*KFLEV+1,KPROMB)
REAL(KIND=JPRB) ,INTENT(IN) :: PXSL5(KPROMA*(KFLDX-KFLDN+1))
REAL(KIND=JPRB) ,INTENT(IN) :: PXF(KPROMB,KFLEV)
END SUBROUTINE ELAIDDITLAD
END INTERFACE
